#include "ball.h"

#define SCREEN_WIDTH 800
#define SCREEN_HEIGHT 600

Ball InitBall() {
    Ball ball;
    ball.position = (Vector2){SCREEN_WIDTH / 2, 300};
    ball.speed = (Vector2){4, -4};
    ball.radius = 10;
    return ball;
}

void UpdateBall(Ball *ball, Paddle *paddle) {
    ball->position.x += ball->speed.x;
    ball->position.y += ball->speed.y;

    // Bounce off walls
    if (ball->position.x <= 0 || ball->position.x >= SCREEN_WIDTH) {
        ball->speed.x *= -1;
    }
    if (ball->position.y <= 0) {
        ball->speed.y *= -1;
    }

    // Paddle collision
    if (CheckCollisionCircleRec(ball->position, ball->radius, paddle->rect)) {
        ball->speed.y *= -1;
    }

    // Ball falls off the screen (reset)
    if (ball->position.y > SCREEN_HEIGHT) {
        *ball = InitBall(); // Reset ball
    }
}

void DrawBall(Ball ball) {
    DrawCircleV(ball.position, ball.radius, RED);
}
