#include "brick.h"

Brick bricks[BRICK_ROWS][BRICK_COLS];

void InitBricks() {
    for (int row = 0; row < BRICK_ROWS; row++) {
        for (int col = 0; col < BRICK_COLS; col++) {
            bricks[row][col].rect = (Rectangle){col * BRICK_WIDTH, row * BRICK_HEIGHT, BRICK_WIDTH, BRICK_HEIGHT};
            bricks[row][col].active = true;
        }
    }
}

void DrawBricks() {
    for (int row = 0; row < BRICK_ROWS; row++) {
        for (int col = 0; col < BRICK_COLS; col++) {
            if (bricks[row][col].active) {
                DrawRectangleRec(bricks[row][col].rect, GREEN);
            }
        }
    }
}

void CheckBrickCollision(Ball *ball) {
    for (int row = 0; row < BRICK_ROWS; row++) {
        for (int col = 0; col < BRICK_COLS; col++) {
            if (bricks[row][col].active && CheckCollisionCircleRec(ball->position, ball->radius, bricks[row][col].rect)) {
                bricks[row][col].active = false; // Remove brick
                ball->speed.y *= -1; // Reverse ball direction
            }
        }
    }
}
