#include "raylib.h"
#include "paddle.h"
#include "ball.h"
#include "brick.h"

#define SCREEN_WIDTH 800
#define SCREEN_HEIGHT 600

int main() {
    InitWindow(SCREEN_WIDTH, SCREEN_HEIGHT, "Brick Breaker");
    SetTargetFPS(60);

    Paddle paddle = InitPaddle();
    Ball ball = InitBall();
    InitBricks();

    while (!WindowShouldClose()) {
        // Update game elements
        UpdatePaddle(&paddle);
        UpdateBall(&ball, &paddle);
        CheckBrickCollision(&ball);

        // Render the game
        BeginDrawing();
        ClearBackground(BLACK);

        DrawPaddle(paddle);
        DrawBall(ball);
        DrawBricks();

        EndDrawing();
    }

    CloseWindow();
    return 0;
}
